"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateOneOfCommandFlags = void 0;
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const core_1 = require("@salesforce/core");
core_1.Messages.importMessagesDirectory(__dirname);
const messages = core_1.Messages.loadMessages('@salesforce/plugin-deploy-retrieve-metadata', 'required.flag');
function validateOneOfCommandFlags(oneOf, flags) {
    if (!Object.keys(flags).some((flag) => oneOf.includes(flag))) {
        throw messages.createError('errors.RequiredOneOfFlagsMissing', [oneOf.join(', ')]);
    }
}
exports.validateOneOfCommandFlags = validateOneOfCommandFlags;
//# sourceMappingURL=requiredFlagValidator.js.map